ELF2AOUT(1) | General Commands Manual | ELF2AOUT(1)

# NAME

`elf2aout` —
convert a NetBSD ELF-format executable to NetBSD a.out format

# SYNOPSIS

`elf2aout` | [`-Os`] elf-file aout-file

# DESCRIPTION

Reads a fully-linked ELF executable (such as a linked kernel) and produces an equivalent a.out format executable file.

The `elf2aout` utility is used to convert native NetBSD ELF binaries to a.out format, for compatibility with bootblocks and kernel-reading utilities like kvm(3), which currently expect an a.out format kernel.

The following options are available:

`-O`
  Produce `OMAGIC` instead of `ZMAGIC` binaries which is the default.
`-s`
  Preserve the symbol table.

# SEE ALSO

elf2ecoff(1), ld(1), kvm(3), a.out(5), elf(5)

# HISTORY

`elf2aout` was originally developed for NetBSD/pmax by Ted Lemon and was first distributed with the pmax port of NetBSD 1.1.

# BUGS

`elf2aout` assumes there are no multiply-referenced symbols in the input ELF symbol section. It may be necessary to link with `-x` to avoid such duplicate symbols.

In some environments, the GNU binutils objcopy(1) utility may be a better solution than `elf2aout`.

September 30, 1996 | NetBSD 9.0